# Integration Tests For NFD

This repository contains end-to-end integration tests for the NDN Forwarding Daemon, NFD.

## Prerequisites

1. Python 2.7
2. (if using Docker) Docker
3. (if using VirtualBox) VirtualBox
4. (if using VirtualBox) Vagrant

-----------------------------------------------------

There are two ways to run the integration tests: automatically (using Docker or VirtualBox+Vagrant) or manually.
By default, the integration tests will use the latest git master versions of each application.
This can be overridden using the `repos.conf` file (see `repos.conf.sample` for documentation and examples).

## Running Automatically

The integration tests can be run automatically using either Docker or VirtualBox (via Vagrant).
This is accomplished by running one of the following commands, depending upon the platform you wish to use:

```bash
./run.sh docker
./run.sh vbox
```

These commands will output test logs to the `logs` folder.

## Running Manually

You may wish the following the following commands when you wish to run the integration tests on physical machines or an existing topology.
Please note that the integration testing machines must run Ubuntu.
Since the testing suite uses SSH to communicate with the topology, please edit the `multi-host.conf` file accordingly.

### Install NDN Applications

To install all NDN applications used for the tests, run `./install_apps.py install_all`. To install
one or more particular apps only, find the proper command line argument(s) to use in place of
`install_all` by running `./install_apps.py help`.

### Running Tests

To run all tests, run `./run_tests.py test_all`.
To run one or more particular tests, run `./run_tests.py help` to find the proper command line argument(s) to use in place of `test_all`.
